import { Component, OnInit } from '@angular/core';
import {PatientContextService} from '../services/patient-context.service';

@Component({
  selector: 'app-cpr-does-not-exist',
  templateUrl: './cpr-does-not-exist.component.html',
  styleUrls: ['./cpr-does-not-exist.component.scss']
})
export class CprDoesNotExistComponent implements OnInit {

  private patientExists: boolean | undefined;

  constructor(private patientContext: PatientContextService) { }

  ngOnInit(): void {
    this.patientExists = this.patientContext.getCurrentPatientExists() === undefined || !!this.patientContext.getCurrentPatientExists();
    this.patientContext.patientExists$.subscribe((exists) => {
      this.patientExists = exists === undefined || !!exists;
    });
  }

  onFocusInputTextButtonClick(): void {
    console.log('Clicked focusInputTextButton!');
  }

}
